package provider

import (
	"git.maurice.fr/thomas/mailout/pkg/config"
	"git.maurice.fr/thomas/mailout/pkg/models"
)

type Provider interface {
	AddDKIMRecord(*models.DKIMKey) error
	DeleteDKIMRecord(*models.DKIMKey) error
}

var (
	Providers = map[string]func(*config.Config) (Provider, error){
		"ovh": NewOVHProvider,
	}
)
